<div class="auth-page-wrapper pt-5">
  <!-- auth page bg -->
  <div class="auth-one-bg-position auth-one-bg" id="auth-particles">
    <div class="bg-overlay"></div>

    <div class="shape">
      <svg
        xmlns="http://www.w3.org/2000/svg"
        version="1.1"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        viewBox="0 0 1440 120"
      >
        <path
          d="M 0,36 C 144,53.6 432,123.2 720,124 C 1008,124.8 1296,56.8 1440,40L1440 140L0 140z"
        ></path>
      </svg>
    </div>
  </div>

  <!-- auth page content -->
  <div class="auth-page-content">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="text-center mt-sm-5 mb-4 text-white-50">
            <div>
              <a routerLink="/" class="d-inline-block auth-logo">
                <img src="assets/images/logo-light.png" alt="" height="20" />
              </a>
            </div>
          </div>
        </div>
      </div>
      <!-- end row -->

      <div class="row justify-content-center">
        <div class="col-md-8 col-lg-6 col-xl-5">
          <div class="card mt-4">
            <div class="card-body p-4">
              <div class="text-center mt-2">
                <h5 class="text-primary">Create new password</h5>
                <p class="text-muted">
                  Your new password must be different from previous used
                  password.
                </p>
              </div>

              <div class="p-2">
                <form [formGroup]="passresetForm" (ngSubmit)="onSubmit()">
                  <div class="mb-3">
                    <label class="form-label" for="password-input"
                      >Password</label
                    >
                    <div class="position-relative auth-pass-inputgroup">
                      <input
                        [type]="passwordField ? 'text' : 'password'"
                        class="form-control pe-5 password-input"
                        placeholder="Enter password"
                        id="password-input"
                        aria-describedby="passwordInput"
                        pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"
                        required
                        formControlName="password"
                        [ngClass]="{
                          'is-invalid': submitted && f['password'].errors
                        }"
                      />
                      <button
                        class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                        type="button"
                        id="password-addon"
                      >
                        <i
                          class="ri-eye-fill align-middle"
                          [ngClass]="{
                            'mdi-eye-off-outline': !passwordField,
                            'mdi-eye-outline': passwordField
                          }"
                          (click)="togglepasswordField()"
                        ></i>
                      </button>
                      <div
                        *ngIf="submitted && f['password'].errors"
                        class="invalid-feedback"
                      >
                        <span *ngIf="f['password'].errors['required']"
                          >Password is required</span
                        >
                      </div>
                    </div>
                    <div id="passwordInput" class="form-text">
                      Must be at least 8 characters.
                    </div>
                  </div>

                  <div class="mb-3">
                    <label class="form-label" for="confirm-password-input"
                      >Confirm Password</label
                    >
                    <div class="position-relative auth-pass-inputgroup mb-3">
                      <input
                        [type]="confirmField ? 'text' : 'password'"
                        class="form-control pe-5 password-input"
                        placeholder="Confirm password"
                        pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}"
                        id="confirm-password-input"
                        required
                        formControlName="cpassword"
                        [ngClass]="{
                          'is-invalid': submitted && f['cpassword'].errors
                        }"
                      />
                      <button
                        class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                        type="button"
                        id="confirm-password-input"
                      >
                        <i
                          class="ri-eye-fill align-middle"
                          [ngClass]="{
                            'mdi-eye-off-outline': !passwordField,
                            'mdi-eye-outline': passwordField
                          }"
                          (click)="toggleconfirmField()"
                        ></i>
                      </button>
                      <div
                        *ngIf="submitted && f['cpassword'].errors"
                        class="invalid-feedback"
                      >
                        <span *ngIf="f['cpassword'].errors['required']"
                          >Confirm Password is required</span
                        >
                      </div>
                    </div>
                  </div>

                  <div id="password-contain" class="p-3 bg-light mb-2 rounded">
                    <h5 class="fs-13">Password must contain:</h5>
                    <p id="pass-length" class="invalid fs-12 mb-2">
                      Minimum <b>8 characters</b>
                    </p>
                    <p id="pass-lower" class="invalid fs-12 mb-2">
                      At <b>lowercase</b> letter (a-z)
                    </p>
                    <p id="pass-upper" class="invalid fs-12 mb-2">
                      At least <b>uppercase</b> letter (A-Z)
                    </p>
                    <p id="pass-number" class="invalid fs-12 mb-0">
                      A least <b>number</b> (0-9)
                    </p>
                  </div>

                  <div class="form-check">
                    <input
                      class="form-check-input"
                      type="checkbox"
                      value=""
                      id="auth-remember-check"
                    />
                    <label class="form-check-label" for="auth-remember-check"
                      >Remember me</label
                    >
                  </div>

                  <div class="mt-4">
                    <button class="btn btn-success w-100" type="submit">
                      Reset Password
                    </button>
                  </div>
                </form>
              </div>
            </div>
            <!-- end card body -->
          </div>
          <!-- end card -->

          <div class="mt-4 text-center">
            <p class="mb-0">
              Wait, I remember my password...
              <a
                routerLink="/auth/signin/basic"
                class="fw-semibold text-primary text-decoration-underline"
              >
                Click here
              </a>
            </p>
          </div>
        </div>
      </div>
      <!-- end row -->
    </div>
    <!-- end container -->
  </div>
  <!-- end auth page content -->

  <!-- footer -->
  <footer class="footer">
    <div class="container">
      <div class="row">
        <div class="col-lg-12">
          <div class="text-center">
            <p class="mb-0 text-muted">
              &copy;
              <script>
                document.write(new Date().getFullYear());
              </script>
              veszter
            </p>
          </div>
        </div>
      </div>
    </div>
  </footer>
  <!-- end Footer -->
</div>
<!-- end auth-page-wrapper -->
